<template>
  <LayoutMain>
    <section>
      <b-container>
        <b-row align-h="center">
          <b-col cols="12">
            <TitleShape title="Rankings" />
          </b-col>
        </b-row>
      </b-container>
      <div class="color-wrapper">
        <b-container>
           <b-row align-h="center" >
                <b-col class="link" cols="4" v-for="item in categories" :key="item.id">
                    <RankingCard  :category="item" />
                </b-col>
          </b-row>
        </b-container>
      </div>
    </section>
  </LayoutMain>
</template>

<script>
import LayoutMain from "@/components/layouts/Main.vue";
import TitleShape from "@/components/TitleShape.vue";
import SingleSpecial from "@/components/SingleSpecial.vue";
import RankingCard from "@/components/RankingCard.vue";


// @ is an alias to /src
export default {
  name: "game",
  data() {
    return {
      multi: [],
      categories: [],
    };
  },
  components: {
    LayoutMain,
    TitleShape,
    SingleSpecial,
    RankingCard
  },
  mounted() {
    this.$store.dispatch("category/rankings").then((resp) => {
      this.categories = resp.data;
    });
  },
};
</script>

<style lang="scss">
@import '@/assets/custom-vars.scss';


</style>